app:
  description: 输入一个网页实现文章内容的仿写和改写
  icon: 🤖
  icon_background: '#FFEAD5'
  mode: workflow
  name: 文章仿写-单图/多图自动搭配
kind: app
version: 0.1.0
workflow:
  features:
    file_upload:
      image:
        enabled: false
        number_limits: 3
        transfer_methods:
        - local_file
        - remote_url
    opening_statement: ''
    retriever_resource:
      enabled: false
    sensitive_word_avoidance:
      enabled: false
    speech_to_text:
      enabled: false
    suggested_questions: []
    suggested_questions_after_answer:
      enabled: false
    text_to_speech:
      enabled: false
      language: ''
      voice: ''
  graph:
    edges:
    - data:
        isInIteration: false
        sourceType: start
        targetType: tool
      id: 1718957126125-source-1718967141318-target
      source: '1718957126125'
      sourceHandle: source
      target: '1718967141318'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: if-else
        targetType: parameter-extractor
      id: 1719040099490-false-17190386712500-target
      source: '1719040099490'
      sourceHandle: 'false'
      target: '17190386712500'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: parameter-extractor
        targetType: iteration
      id: 1719046777534-source-1719046938333-target
      source: '1719046777534'
      sourceHandle: source
      target: '1719046938333'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: parameter-extractor
        targetType: llm
      id: 17190386712500-source-1719040452162-target
      source: '17190386712500'
      sourceHandle: source
      target: '1719040452162'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: true
        iteration_id: '1719046938333'
        sourceType: code
        targetType: tool
      id: 1719051705186-source-1719052020538-target
      source: '1719051705186'
      sourceHandle: source
      target: '1719052020538'
      targetHandle: target
      type: custom
      zIndex: 1002
    - data:
        isInIteration: true
        iteration_id: '1719046938333'
        sourceType: tool
        targetType: llm
      id: 1719052020538-source-1719052032351-target
      source: '1719052020538'
      sourceHandle: source
      target: '1719052032351'
      targetHandle: target
      type: custom
      zIndex: 1002
    - data:
        isInIteration: false
        sourceType: iteration
        targetType: template-transform
      id: 1719046938333-source-1719054341069-target
      source: '1719046938333'
      sourceHandle: source
      target: '1719054341069'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: template-transform
        targetType: end
      id: 1719054341069-source-1719047399639-target
      source: '1719054341069'
      sourceHandle: source
      target: '1719047399639'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: if-else
        targetType: parameter-extractor
      id: 1719040099490-true-17190400701430-target
      source: '1719040099490'
      sourceHandle: 'true'
      target: '17190400701430'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: parameter-extractor
        targetType: if-else
      id: 17190400701430-source-1719057591382-target
      source: '17190400701430'
      sourceHandle: source
      target: '1719057591382'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: if-else
        targetType: tool
      id: 1719057591382-true-1719057860526-target
      source: '1719057591382'
      sourceHandle: 'true'
      target: '1719057860526'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: tool
        targetType: llm
      id: 1719057860526-source-1719057705571-target
      source: '1719057860526'
      sourceHandle: source
      target: '1719057705571'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: llm
        targetType: end
      id: 1719057705571-source-1719058363432-target
      source: '1719057705571'
      sourceHandle: source
      target: '1719058363432'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: llm
        targetType: end
      id: 1719040452162-source-1719043735320-target
      source: '1719040452162'
      sourceHandle: source
      target: '1719043735320'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: tool
        targetType: code
      id: 1718967141318-source-1719061181576-target
      source: '1718967141318'
      sourceHandle: source
      target: '1719061181576'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: code
        targetType: if-else
      id: 1719061181576-source-1719061373860-target
      source: '1719061181576'
      sourceHandle: source
      target: '1719061373860'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: if-else
        targetType: if-else
      id: 1719061373860-false-1719040099490-target
      source: '1719061373860'
      sourceHandle: 'false'
      target: '1719040099490'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: if-else
        targetType: template-transform
      id: 1719061373860-true-1719061473923-target
      source: '1719061373860'
      sourceHandle: 'true'
      target: '1719061473923'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: template-transform
        targetType: end
      id: 1719061473923-source-1719061487614-target
      source: '1719061473923'
      sourceHandle: source
      target: '1719061487614'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: if-else
        targetType: code
      id: 1719057591382-false-1719062922068-target
      source: '1719057591382'
      sourceHandle: 'false'
      target: '1719062922068'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: code
        targetType: parameter-extractor
      id: 1719062922068-source-1719046777534-target
      source: '1719062922068'
      sourceHandle: source
      target: '1719046777534'
      targetHandle: target
      type: custom
      zIndex: 0
    nodes:
    - data:
        desc: ''
        selected: false
        title: 开始
        type: start
        variables:
        - label: 目标文章链接
          max_length: 256
          options: []
          required: true
          type: text-input
          variable: url
        - label: 是否去除图片
          max_length: 48
          options: []
          required: true
          type: number
          variable: clean_img
        - label: 单图仿写
          max_length: 48
          options: []
          required: true
          type: number
          variable: single_img
      height: 142
      id: '1718957126125'
      position:
        x: 30
        y: 271
      positionAbsolute:
        x: 30
        y: 271
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        provider_id: 0ad29728-5209-4afe-bc96-daff03091c42
        provider_name: 本地爬虫
        provider_type: workflow
        selected: false
        title: 本地爬虫
        tool_configurations: {}
        tool_label: 本地爬虫
        tool_name: localScrape
        tool_parameters:
          need_llm:
            type: constant
            value: '0'
          url:
            type: mixed
            value: '{{#1718957126125.url#}}'
        type: tool
      height: 54
      id: '1718967141318'
      position:
        x: 334
        y: 271
      positionAbsolute:
        x: 334
        y: 271
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        instruction: '请对以下网页内容进行清洗，并抽取网页中的文章内容信息。请避免包含文章内容无关的信息，例如：html标签、页头、页尾。请对清洗后的信息进行markdown的格式输出。请对抽取的完整正文进行智能分段并保留原文的配图信息。



          ### 约束条件

          1.文本信息中如果有明显的标题信息请直接抽取，不需要自定义生成或加工

          2.文本的正文内容请尊重原本描述抽取，不需要自定义生成或加工

          3.关键词将用作图片多模态检索，请不要包含无意义的词组或短语。

          4.请完整抽取原文内容，并保持段落排版

          5.请过滤版权信息、编辑、作者、来源、转载以及与原文内容无关的信息



          ### 抓取内容如下：

          ```

          {{#1718967141318.text#}}

          ```'
        model:
          completion_params:
            temperature: 1
          mode: chat
          name: deepseek-chat
          provider: deepseek
        parameters:
        - description: 原文标题
          name: title
          required: true
          type: string
        - description: 原文完整内容
          name: content
          required: false
          type: string
        - description: 关键词信息
          name: keywords
          required: true
          type: string
        query:
        - '1718967141318'
        - text
        reasoning_mode: prompt
        selected: false
        title: 留图-原文内容抽取
        type: parameter-extractor
        variables: []
      height: 98
      id: '17190386712500'
      position:
        x: 1550
        y: 249
      positionAbsolute:
        x: 1550
        y: 249
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        instruction: '请对以下网页内容进行清洗，并抽取网页中的文章内容信息。请避免包含文章内容无关的信息，例如：html标签、页头、页尾。请对清洗后的信息进行markdown的格式输出。



          ### 约束条件

          1.文本信息中如果有明显的标题信息请直接抽取，不需要自定义生成或加工

          2.文本的正文内容请尊重原本描述抽取，不需要自定义生成或加工

          3.关键词将用作图片多模态检索，请不要包含无意义的词组或短语。

          4.请完整抽取原文内容，并保持段落排版

          5.请过滤版权信息、编辑、作者、来源、转载以及与原文内容无关的信息



          ### 抓取内容如下：

          ```

          {{#1718967141318.text#}}

          ```'
        model:
          completion_params:
            temperature: 1
          mode: chat
          name: deepseek-chat
          provider: deepseek
        parameters:
        - description: 原文标题
          name: title
          required: true
          type: string
        - description: 原文完整内容
          name: content
          required: false
          type: string
        - description: 关键词信息
          name: keywords
          required: true
          type: string
        query:
        - '1718967141318'
        - text
        reasoning_mode: prompt
        selected: false
        title: 不留图-原文内容抽取
        type: parameter-extractor
        variables: []
      height: 98
      id: '17190400701430'
      position:
        x: 1550
        y: 401
      positionAbsolute:
        x: 1550
        y: 401
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        cases:
        - case_id: 'true'
          conditions:
          - comparison_operator: '='
            id: '1719040112719'
            value: '1'
            variable_selector:
            - '1718957126125'
            - clean_img
          logical_operator: and
        conditions:
        - comparison_operator: '='
          id: '1719040112719'
          value: '1'
          variable_selector:
          - '1718957126125'
          - clean_img
        desc: ''
        logical_operator: and
        selected: false
        title: 是否清除图片
        type: if-else
      height: 126
      id: '1719040099490'
      position:
        x: 1246
        y: 235
      positionAbsolute:
        x: 1246
        y: 235
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        context:
          enabled: false
          variable_selector: []
        desc: ''
        model:
          completion_params:
            temperature: 1.2
          mode: chat
          name: deepseek-chat
          provider: deepseek
        prompt_template:
        - id: 3a68067f-0b11-42aa-9511-bc98a9abc7b3
          role: system
          text: '你是一位专业的文字工作者，你可以胜任各种领域的文章仿写，请你对以下提供的参考文章进行仿写并排版。


            ### 排版和仿写需求

            1.请确保生成的文章符合编辑规范，不要包含明显的标题、正文、结论等字眼

            2.请尽可能遵循文本描述的客观事实信息，不要胡编乱造

            3.请不要包含：”首先“，”其次“，”再次“，”总的来说“等段落衔接词，尽量确保行文通顺自然。

            4.请遵循文本内容的写作风格和用词。

            5.请确认排版信息符合markdown规范。

            6.请不要添加文章以外的多余信息，如落款、出处、来源、发布时间、作者、编辑等。

            7.请保留原文图片排版并以markdown格式输出


            ### 参考文章内容：

            - 标题：{{#17190386712500.title#}}

            - 内容：{{#17190386712500.content#}}




            '
        selected: false
        title: 仿写
        type: llm
        variables: []
        vision:
          enabled: false
      height: 98
      id: '1719040452162'
      position:
        x: 1854
        y: 285
      positionAbsolute:
        x: 1854
        y: 285
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        outputs:
        - value_selector:
          - '1719040452162'
          - text
          variable: answer
        selected: false
        title: 结束
        type: end
      height: 90
      id: '1719043735320'
      position:
        x: 2158
        y: 253
      positionAbsolute:
        x: 2158
        y: 253
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        instruction: "请分析文章的内容结构，将文本划分为一个或多个语义完整的章节，每个章节不少于400字。并为每个章节生成若干个用于检索图片的关键词或描述，多个关键词使用逗号进行分割。输出结构为json\n\
          Example:{\n    \"sections\": [\n        {\n           ”keywords“: ”关键词或描述字符串“,\n\
          \           ”section“: \"章节内容1\"\n        },\n        {\n           ”keywords“:\
          \ ”关键词或描述字符串“,\n           ”section“: \"章节内容2\"\n        },\n         {\n\
          \           ”keywords“: ”关键词或描述字符串“,\n           ”section“: \"章节内容2\"\n\
          \        }\n    ]\n}\n"
        model:
          completion_params:
            temperature: 1
          mode: chat
          name: deepseek-chat
          provider: deepseek
        parameters:
        - description: 多个文章段落
          name: sections
          required: true
          type: array[object]
        query:
        - '17190400701430'
        - content
        reasoning_mode: prompt
        selected: false
        title: 段落拆分-关键词生成
        type: parameter-extractor
        variables: []
      height: 98
      id: '1719046777534'
      position:
        x: 2462
        y: 423
      positionAbsolute:
        x: 2462
        y: 423
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        height: 202
        iterator_selector:
        - '1719046777534'
        - sections
        output_selector:
        - '1719052032351'
        - text
        output_type: array[string]
        selected: false
        startNodeType: code
        start_node_id: '1719051705186'
        title: 迭代
        type: iteration
        width: 982
      height: 202
      id: '1719046938333'
      position:
        x: 2766
        y: 367
      positionAbsolute:
        x: 2766
        y: 367
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 982
      zIndex: 1
    - data:
        desc: ''
        outputs:
        - value_selector:
          - '1719054341069'
          - output
          variable: answer
        selected: false
        title: 结束 2
        type: end
      height: 90
      id: '1719047399639'
      position:
        x: 4112
        y: 423
      positionAbsolute:
        x: 4112
        y: 423
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        code: "\ndef main(item: dict) -> dict:\n    return {\n        \"keywords\"\
          : item[\"keywords\"],\n        \"section\":  item[\"section\"]\n    }\n"
        code_language: python3
        desc: ''
        isInIteration: true
        isIterationStart: true
        iteration_id: '1719046938333'
        outputs:
          keywords:
            children: null
            type: string
          section:
            children: null
            type: string
        selected: false
        title: 字段拆分
        type: code
        variables:
        - value_selector:
          - '1719046938333'
          - item
          variable: item
      extent: parent
      height: 54
      id: '1719051705186'
      parentId: '1719046938333'
      position:
        x: 117
        y: 85
      positionAbsolute:
        x: 2883
        y: 452
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
      zIndex: 1001
    - data:
        desc: ''
        isInIteration: true
        iteration_id: '1719046938333'
        provider_id: 2ebe9c1d-46ef-4735-93f1-e901de242584
        provider_name: imageSearch
        provider_type: workflow
        selected: false
        title: imageSearch
        tool_configurations: {}
        tool_label: imageSearch
        tool_name: imageSearch
        tool_parameters:
          n:
            type: constant
            value: '2'
          need_llm:
            type: constant
            value: '0'
          q:
            type: mixed
            value: '{{#1719051705186.keywords#}}'
        type: tool
      extent: parent
      height: 54
      id: '1719052020538'
      parentId: '1719046938333'
      position:
        x: 420
        y: 86.99999997125929
      positionAbsolute:
        x: 3186
        y: 453.9999999712593
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
      zIndex: 1002
    - data:
        context:
          enabled: false
          variable_selector: []
        desc: ''
        isInIteration: true
        iteration_id: '1719046938333'
        model:
          completion_params:
            temperature: 1
          mode: chat
          name: deepseek-chat
          provider: deepseek
        prompt_template:
        - id: 45685446-9f81-49aa-afd6-cbe5ed5d85a7
          role: system
          text: '你是一位专业的文字工作者，你可以胜任各种领域的文章仿写，请你对以下提供的参考文章进行仿写并排版。


            ### 约束条件

            1.请确保生成的文章符合编辑规范，不要包含明显的标题、正文、结论等字眼

            2.请分析该段落是否需要配图，如果需要请输出仿写后的段落后接配图信息,如果是单段落请将配图放置余段落前，配图信息只需要输出markdown格式的图片

            3.请尽可能遵循文本描述的客观事实信息，不要胡编乱造

            4.请遵循文本内容的写作风格和用词，输出的段落请尽量确保行文通顺自然

            5.请确认排版信息符合markdown规范。

            6.请不要添加文章以外的多余信息，如落款、出处、来源、发布时间、作者、编辑等。

            ### 参考文章内容：

            - 标题：{{#17190400701430.title#}}



            - 图片：{{#1719052020538.text#}}




            - 是否单段落：{{#1719062922068.single_section#}}



            - 内容：{{#1719051705186.section#}}








            '
        selected: false
        title: 仿写配图
        type: llm
        variables: []
        vision:
          enabled: false
      extent: parent
      height: 98
      id: '1719052032351'
      parentId: '1719046938333'
      position:
        x: 723
        y: 85
      positionAbsolute:
        x: 3489
        y: 452
      selected: true
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
      zIndex: 1002
    - data:
        desc: ''
        selected: false
        template: "{% for section in output %}\r\n\r\n{{ section }}\r\n\r\n----------------------------------\r\
          \n\r\n{% endfor %}"
        title: 输出完整文章
        type: template-transform
        variables:
        - value_selector:
          - '1719046938333'
          - output
          variable: output
      height: 54
      id: '1719054341069'
      position:
        x: 3808
        y: 423
      positionAbsolute:
        x: 3808
        y: 423
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        cases:
        - case_id: 'true'
          conditions:
          - comparison_operator: '='
            id: '1719057625965'
            value: '1'
            variable_selector:
            - '1718957126125'
            - single_img
          logical_operator: and
        conditions:
        - comparison_operator: '='
          id: '1719057625965'
          value: '1'
          variable_selector:
          - '1718957126125'
          - single_img
        desc: ''
        logical_operator: and
        selected: false
        title: 是否单图仿写
        type: if-else
      height: 126
      id: '1719057591382'
      position:
        x: 1854
        y: 423
      positionAbsolute:
        x: 1854
        y: 423
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        context:
          enabled: false
          variable_selector: []
        desc: ''
        model:
          completion_params:
            temperature: 1
          mode: chat
          name: deepseek-chat
          provider: deepseek
        prompt_template:
        - id: 0c5cda37-c01f-4f95-9f34-dd4047e05cb3
          role: system
          text: '你是一位专业的文字工作者，你可以胜任各种领域的文章仿写，请你对以下提供的参考文章进行仿写并排版。

            ### 约束条件

            1.请确保生成的文章符合编辑规范，不要包含明显的标题、正文、结论等字眼

            2.请选择一张图片作为文章的封面图，配图放在正文开始，以markdown格式输出

            3.请尽可能遵循文本描述的客观事实信息，不要胡编乱造

            4.请遵循文本内容的写作风格和用词，输出的段落请尽量确保行文通顺自然

            5.请确认排版信息符合markdown规范。

            6.请不要添加文章以外的多余信息，如落款、出处、来源、发布时间、作者、编辑等

            7.请注意你仿写的这篇文章会正式出版，请遵循内容编辑规范，避免出现文章无关的内容和草稿、标注等。


            ### 参考文章内容：

            - 标题：{{#17190400701430.title#}}



            - 图片：{{#1719057860526.text#}}




            - 内容：{{#17190400701430.content#}}





            ### 输出格式

            ```

            文章标题

            封面图

            仿写内容

            ```


            '
        selected: false
        title: 单图仿写配图
        type: llm
        variables: []
        vision:
          enabled: false
      height: 98
      id: '1719057705571'
      position:
        x: 2462
        y: 609
      positionAbsolute:
        x: 2462
        y: 609
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        provider_id: 2ebe9c1d-46ef-4735-93f1-e901de242584
        provider_name: imageSearch
        provider_type: workflow
        selected: false
        title: imageSearch
        tool_configurations: {}
        tool_label: imageSearch
        tool_name: imageSearch
        tool_parameters:
          n:
            type: constant
            value: '1'
          need_llm:
            type: constant
            value: '0'
          q:
            type: mixed
            value: '{{#17190400701430.keywords#}}'
        type: tool
      height: 54
      id: '1719057860526'
      position:
        x: 2158
        y: 609
      positionAbsolute:
        x: 2158
        y: 609
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        outputs:
        - value_selector:
          - '1719057705571'
          - text
          variable: answer
        selected: false
        title: 结束 3
        type: end
      height: 90
      id: '1719058363432'
      position:
        x: 3135
        y: 609
      positionAbsolute:
        x: 3135
        y: 609
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        code: "\ndef main(text: str) -> dict:\n    import json\n    data = json.loads(text)\n\
          \    if len(data.get(\"content\", \"\")) <5:\n        return {\"crawl_empty\"\
          : 1}\n    return {\"crawl_empty\": 0}\n"
        code_language: python3
        desc: ''
        outputs:
          crawl_empty:
            children: null
            type: number
        selected: false
        title: 爬虫结果
        type: code
        variables:
        - value_selector:
          - '1718967141318'
          - text
          variable: text
      height: 54
      id: '1719061181576'
      position:
        x: 638
        y: 271
      positionAbsolute:
        x: 638
        y: 271
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        cases:
        - case_id: 'true'
          conditions:
          - comparison_operator: '='
            id: '1719061385545'
            value: '1'
            variable_selector:
            - '1719061181576'
            - crawl_empty
          logical_operator: and
        conditions:
        - comparison_operator: '='
          id: '1719061385545'
          value: '1'
          variable_selector:
          - '1719061181576'
          - crawl_empty
        desc: ''
        logical_operator: and
        selected: false
        title: 爬取结果判断
        type: if-else
      height: 126
      id: '1719061373860'
      position:
        x: 942
        y: 271
      positionAbsolute:
        x: 942
        y: 271
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        selected: false
        template: 抱歉网页{{ url }}内容获取失败了
        title: 模板转换 2
        type: template-transform
        variables:
        - value_selector:
          - '1718957126125'
          - url
          variable: url
      height: 54
      id: '1719061473923'
      position:
        x: 1246
        y: 539
      positionAbsolute:
        x: 1246
        y: 539
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        outputs: []
        selected: false
        title: 结束 4
        type: end
      height: 54
      id: '1719061487614'
      position:
        x: 1550
        y: 539
      positionAbsolute:
        x: 1550
        y: 539
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        code: "\ndef main(content: str) -> dict:\n    if len(content) <= 400:\n  \
          \      return {\"single_section\": \"是\"}\n    return {\"single_section\"\
          : \"否\"}\n"
        code_language: python3
        desc: ''
        outputs:
          single_section:
            children: null
            type: string
        selected: false
        title: 是否单段落
        type: code
        variables:
        - value_selector:
          - '17190400701430'
          - content
          variable: content
      height: 54
      id: '1719062922068'
      position:
        x: 2158
        y: 423
      positionAbsolute:
        x: 2158
        y: 423
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    viewport:
      x: -1375
      y: 86
      zoom: 0.7
